Skip to main content
GET
/
api
/
referral
/
stats
Estatísticas de indicações
curl --request GET \
  --url https://alpa-sistema-api.onrender.com/api/referral/stats \
  --header 'Authorization: Bearer <token>'
{
  "totalReferrals": 123,
  "completedReferrals": 123,
  "pendingReferrals": 123,
  "totalFixedRewards": 123,
  "totalFixedRewardAmountCents": 123,
  "totalCommissions": 123,
  "totalCommissionAmountCents": 123,
  "totalRewards": 123,
  "totalRewardAmountCents": 123,
  "totalWithdrawnCents": 123,
  "availableBalanceCents": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.usealpa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token obtido via POST /api/auth/login. Usado em rotas autenticadas do dashboard.

Response

Estatísticas do programa de indicações

totalReferrals
integer
completedReferrals
integer
pendingReferrals
integer
totalFixedRewards
integer
totalFixedRewardAmountCents
integer
totalCommissions
integer
totalCommissionAmountCents
integer
totalRewards
integer
totalRewardAmountCents
integer
totalWithdrawnCents
integer
availableBalanceCents
integer